<template>
<div id="login" class="login-box">
 <el-form status-icon :rules="loginRules" :model="loginDetail" ref="loginDetail" label-width="20%">
    <el-form-item label="账号" prop="username">
        <el-input name="username" v-model="loginDetail.username" placeholder="请输入帐号" auto-complete="off"/>
    </el-form-item>

    <el-form-item label="密码" prop="password">
        <el-input name="password" v-model="loginDetail.password" type="password" placeholder="请输入密码" auto-complete="off"/>
    </el-form-item>

    <el-form-item>
        <el-button name="login" v-on:click="check" style="width:100%" type="primary">登录</el-button>
    </el-form-item>
 </el-form>
</div>
</template>

<script>
import {loginReq} from '@/apis/login'
import store from '../../store/index'
export default {
  name: '#login',
  data () {
    var validatorUserName = (rule, value, callback) => {
      if (!value) {
        callback(new Error('User Name can not be Empty!'))
      } else {
        callback()
      }
    }
    return {
      loginDetail: {
        username: '',
        password: ''
      },
      loginRules: {
        username: [{ required: true, validator: validatorUserName, trigger: 'blur' }],
        password: [{ required: true, message: 'Password can not be Empty!', trigger: 'blur' }]
      }
    }
  },
  methods: {
    check: function (event) {
      var name = this.loginDetail.username
      var password = this.loginDetail.password
      if (name === '' || password === '') {
        this.$message({
          message: '账号或密码为空！',
          type: 'error'
        })
      } else {
        loginReq(name, password).then(res => {
          console.log(res)
          this.$message.success('登录成功')
          let data = res.data
          console.log(data)
          this.$store.commit('set_token', data.access_token)

          if (store.state.token) {
            console.log('token: ' + store.state.token)
            this.$router.push('/')
          } else {
            this.$router.replace('login')
          }
        }).catch(error => {
          this.loading = false
          this.loginBtn = '登录'
          this.$message.error('账号或密码错误')
          console.log(error)
        })
      }
    }
  }
}
</script>
<style>
.el-row {
    margin-bottom: 20px;
 }
.el-form-item{
    width: 40%
}

.login-box {
    margin-top:20%;
    margin-left:40%;
}
</style>
